You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@myfaces.apache.org by bo...@apache.org on 2006/04/16 12:58:17 UTC

svn commit: r394456 - /myfaces/tobago/trunk/build-nightly.sh

Author: bommel
Date: Sun Apr 16 03:58:14 2006
New Revision: 394456

URL: http://svn.apache.org/viewcvs?rev=394456&view=rev
Log:
tobago nightly build

Added:
    myfaces/tobago/trunk/build-nightly.sh   (with props)

Added: myfaces/tobago/trunk/build-nightly.sh
URL: http://svn.apache.org/viewcvs/myfaces/tobago/trunk/build-nightly.sh?rev=394456&view=auto
==============================================================================
--- myfaces/tobago/trunk/build-nightly.sh (added)
+++ myfaces/tobago/trunk/build-nightly.sh Sun Apr 16 03:58:14 2006
@@ -0,0 +1,69 @@
+#!/usr/bin/env bash
+
+set -e
+#set -x
+tobago_repo="http://svn.apache.org/repos/asf/myfaces/tobago/trunk"
+
+usage()
+{
+  echo "Usage: $0"
+  exit 1
+}
+
+if [ -r ./settings ]
+then
+  source ./settings
+fi
+
+if [ -z "$NIGHTLY_ROOT" ]
+then
+  echo "NIGHTLY_ROOT must be set"
+  exit 1
+fi
+
+root="$NIGHTLY_ROOT"
+
+mkdir -p $root
+
+##############################################################################
+# Do some checks of the enviroment
+##############################################################################
+
+if [ -z "$JAVA_HOME" ]
+then
+  echo "JAVA_HOME must be set."
+fi
+
+if [ -z "`which java`" ]
+then
+  echo "Could not find 'java' in the path."
+  echo "PATH: $PATH"
+  exit 1
+fi
+
+
+##############################################################################
+# Check out the sources
+##############################################################################
+
+cd $root
+
+#  tobago
+
+echo "Updating the tobago checkout."
+
+svn co $tobago_repo tobago
+
+
+##############################################################################
+# Build
+##############################################################################
+
+
+echo "Building tobago ."
+cd tobago
+mvn -Pgenerate-assembly -U clean install
+cd tobago-assembly
+mvn clean assembly:assembly org.apache.myfaces.maven:wagon-maven-plugin:deploy
+
+cd ../..

Propchange: myfaces/tobago/trunk/build-nightly.sh
------------------------------------------------------------------------------
    svn:executable = *